Update Collection
curl --request PUT \
--url https://api.example.com/api/v1/collections/{collection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "<string>",
"status": "<string>",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "<string>",
"source_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/collections/{collection_id}"
payload = {
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "<string>",
"status": "<string>",
"tags": ["<string>"],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "<string>",
"source_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
store_type: '<string>',
visibility: '<string>',
status: '<string>',
tags: ['<string>'],
parent_id: '<string>',
stats: {},
meta_data: {},
settings: {},
embedding: {},
source_type: '<string>',
source_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/collections/{collection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'store_type' => '<string>',
'visibility' => '<string>',
'status' => '<string>',
'tags' => [
'<string>'
],
'parent_id' => '<string>',
'stats' => [
],
'meta_data' => [
],
'settings' => [
],
'embedding' => [
],
'source_type' => '<string>',
'source_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/collections/{collection_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"store_type\": \"<string>\",\n \"visibility\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"parent_id\": \"<string>\",\n \"stats\": {},\n \"meta_data\": {},\n \"settings\": {},\n \"embedding\": {},\n \"source_type\": \"<string>\",\n \"source_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/api/v1/collections/{collection_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"store_type\": \"<string>\",\n \"visibility\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"parent_id\": \"<string>\",\n \"stats\": {},\n \"meta_data\": {},\n \"settings\": {},\n \"embedding\": {},\n \"source_type\": \"<string>\",\n \"source_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/collections/{collection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"store_type\": \"<string>\",\n \"visibility\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"parent_id\": \"<string>\",\n \"stats\": {},\n \"meta_data\": {},\n \"settings\": {},\n \"embedding\": {},\n \"source_type\": \"<string>\",\n \"source_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Update Collection
Update collection.
PUT
/
api
/
v1
/
collections
/
{collection_id}
Update Collection
curl --request PUT \
--url https://api.example.com/api/v1/collections/{collection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "<string>",
"status": "<string>",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "<string>",
"source_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/collections/{collection_id}"
payload = {
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "<string>",
"status": "<string>",
"tags": ["<string>"],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "<string>",
"source_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
store_type: '<string>',
visibility: '<string>',
status: '<string>',
tags: ['<string>'],
parent_id: '<string>',
stats: {},
meta_data: {},
settings: {},
embedding: {},
source_type: '<string>',
source_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/collections/{collection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'store_type' => '<string>',
'visibility' => '<string>',
'status' => '<string>',
'tags' => [
'<string>'
],
'parent_id' => '<string>',
'stats' => [
],
'meta_data' => [
],
'settings' => [
],
'embedding' => [
],
'source_type' => '<string>',
'source_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/collections/{collection_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"store_type\": \"<string>\",\n \"visibility\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"parent_id\": \"<string>\",\n \"stats\": {},\n \"meta_data\": {},\n \"settings\": {},\n \"embedding\": {},\n \"source_type\": \"<string>\",\n \"source_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/api/v1/collections/{collection_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"store_type\": \"<string>\",\n \"visibility\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"parent_id\": \"<string>\",\n \"stats\": {},\n \"meta_data\": {},\n \"settings\": {},\n \"embedding\": {},\n \"source_type\": \"<string>\",\n \"source_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/collections/{collection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"store_type\": \"<string>\",\n \"visibility\": \"<string>\",\n \"status\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"parent_id\": \"<string>\",\n \"stats\": {},\n \"meta_data\": {},\n \"settings\": {},\n \"embedding\": {},\n \"source_type\": \"<string>\",\n \"source_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json
Schema for updating a collection.
Response
Successful Response
Schema for reading collection data.